Bug 245112 (CVE-2006-5752) - CVE-2006-5752 httpd mod_status XSS
Summary: CVE-2006-5752 httpd mod_status XSS
Status: CLOSED ERRATA
Alias: CVE-2006-5752
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20070620,source=asf,reported=2...
Keywords: Security
Depends On: 413891 449336 244659 244660 244661 244662 244663 244664 244665 244666 245116 245127 245752 430775 430776 430777 430780 430781 430782 449337 582767
Blocks: 444136
TreeView+ depends on / blocked
 
Reported: 2007-06-21 07:51 UTC by Mark J. Cox
Modified: 2016-03-04 10:56 UTC (History)
2 users (show)

Fixed In Version: httpd 1.3.39
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-14 16:32:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0532 normal SHIPPED_LIVE Moderate: apache security update 2007-06-26 15:13:14 UTC
Red Hat Product Errata RHSA-2007:0533 normal SHIPPED_LIVE Moderate: httpd security update 2007-06-27 14:53:03 UTC
Red Hat Product Errata RHSA-2007:0534 normal SHIPPED_LIVE Moderate: httpd security update 2008-01-07 22:27:57 UTC
Red Hat Product Errata RHSA-2007:0556 normal SHIPPED_LIVE Moderate: httpd security update 2007-06-26 15:22:15 UTC
Red Hat Product Errata RHSA-2007:0557 normal SHIPPED_LIVE Moderate: httpd security update 2007-07-13 07:38:23 UTC
Red Hat Product Errata RHSA-2008:0263 normal SHIPPED_LIVE Low: Red Hat Network Proxy Server security update 2008-05-20 14:14:27 UTC
Red Hat Product Errata RHSA-2010:0602 normal SHIPPED_LIVE Moderate: Red Hat Certificate System 7.3 security update 2010-08-05 14:04:51 UTC

Description Mark J. Cox 2007-06-21 07:51:07 UTC
According to 
http://svn.apache.org/viewvc?view=rev&rev=549159

"mod_status: Fix a possible XSS attack against a site with a public
server-status page and ExtendedStatus enabled, for browsers which perform
charset "detection".  Reported by Stefan Esser.  [Joe Orton]"

Note that the default is not to have a public server-status page, and in itself
making server-status public could leak sensitive information about your site.

Comment 9 errata-xmlrpc 2010-08-04 21:32:55 UTC
This issue has been addressed in following products:

  Red Hat Certificate System 7.3

Via RHSA-2010:0602 https://rhn.redhat.com/errata/RHSA-2010-0602.html


Note You need to log in before you can comment on or make changes to this bug.